Skip to main content
GET
/
cluster
/
{clusterId}
/
argocdApps
/
associatedServices
Get ArgoCD associated services for a cluster
curl --request GET \
  --url https://api.qovery.com/cluster/{clusterId}/argocdApps/associatedServices \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_name": "<string>",
      "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "environment_name": "<string>",
      "service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "service_name": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

clusterId
string<uuid>
required

Cluster ID

Response

ArgoCD associated services for the cluster

results
ArgocdAssociatedServicesResponse · object[]